Page MenuHomePhabricator

[mips] not instruction alias
ClosedPublic

Authored by sdardis on Oct 31 2016, 9:28 AM.

Details

Reviewers
vkalintiris
Summary

This patch adds the single operand form of the not alias to microMIPS and
MIPS along with additional tests.

This partially resolves PR/30381.

Thanks to Sean Bruno for reporting the issue!

Event Timeline

sdardis updated this revision to Diff 76425.Oct 31 2016, 9:28 AM
sdardis retitled this revision from to [mips] not instruction alias.
sdardis updated this object.
sdardis added a reviewer: vkalintiris.
sdardis set the repository for this revision to rL LLVM.
sdardis added subscribers: seanbruno, emaste.
sdardis updated this object.Oct 31 2016, 9:29 AM
sdardis edited edge metadata.
vkalintiris accepted this revision.Nov 15 2016, 3:06 PM
vkalintiris edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Nov 15 2016, 3:06 PM

Thanks, committed rL287097.

sdardis closed this revision.Nov 16 2016, 3:39 AM